## Index

### Classes

- EventEmitter
- Immediate
- Module
- Timeout

### Interfaces

- CallSite
- ConsoleConstructor
- ConsoleConstructorOptions
- CpuUsage
- Domain
- ErrnoException
- Events
- Global
- HRTime
- InspectOptions
- MemoryUsage
- Process
- ProcessEnv
- ProcessRelease
- ProcessVersions
- ReadStream
- ReadWriteStream
- ReadableStream
- Socket
- Timer
- WritableStream
- WriteStream

### Type aliases

- BeforeExitListener
- DisconnectListener
- ExitListener
- MessageListener
- MultipleResolveListener
- MultipleResolveType
- NewListenerListener
- Platform
- RejectionHandledListener
- RemoveListenerListener
- Signals
- SignalsListener
- TypedArray
- UncaughtExceptionListener
- UnhandledRejectionListener
- WarningListener

## Type aliases

### BeforeExitListener

BeforeExitListener: function

- Defined in node_modules/@types/node/globals.d.ts:688

#### Type declaration

- - (code: number): void

  - #### Parameters

    - ##### code: number

    #### Returns void

### DisconnectListener

DisconnectListener: function

- Defined in node_modules/@types/node/globals.d.ts:689

#### Type declaration

- - (): void

  - #### Returns void

### ExitListener

ExitListener: function

- Defined in node_modules/@types/node/globals.d.ts:690

#### Type declaration

- - (code: number): void

  - #### Parameters

    - ##### code: number

    #### Returns void

### MessageListener

MessageListener: function

- Defined in node_modules/@types/node/globals.d.ts:695

#### Type declaration

- - (message: any, sendHandle: any): void

  - #### Parameters

    - ##### message: any

    - ##### sendHandle: any

    #### Returns void

### MultipleResolveListener

MultipleResolveListener: function

- Defined in node_modules/@types/node/globals.d.ts:699

#### Type declaration

- - (type: MultipleResolveType, promise: Promise<any>, value: any): void

  - #### Parameters

    - ##### type: MultipleResolveType

    - ##### promise: Promise<any>

    - ##### value: any

    #### Returns void

### MultipleResolveType

MultipleResolveType: "resolve" | "reject"

- Defined in node_modules/@types/node/globals.d.ts:686

### NewListenerListener

NewListenerListener: function

- Defined in node_modules/@types/node/globals.d.ts:697

#### Type declaration

- - (type: string | symbol, listener: function): void

  - #### Parameters

    - ##### type: string | symbol

    - ##### listener: function

      - - (...args: any[]): void

        - #### Parameters

          - ##### Rest ...args: any[]

          #### Returns void

### Platform

Platform: "aix" | "android" | "darwin" | "freebsd" | "linux" | "openbsd" | "sunos" | "win32" | "cygwin"

- Defined in node_modules/@types/node/globals.d.ts:670

### RejectionHandledListener

RejectionHandledListener: function

- Defined in node_modules/@types/node/globals.d.ts:691

#### Type declaration

- - (promise: Promise<any>): void

  - #### Parameters

    - ##### promise: Promise<any>

    #### Returns void

### RemoveListenerListener

RemoveListenerListener: function

- Defined in node_modules/@types/node/globals.d.ts:698

#### Type declaration

- - (type: string | symbol, listener: function): void

  - #### Parameters

    - ##### type: string | symbol

    - ##### listener: function

      - - (...args: any[]): void

        - #### Parameters

          - ##### Rest ...args: any[]

          #### Returns void

### Signals

Signals: "SIGABRT" | "SIGALRM" | "SIGBUS" | "SIGCHLD" | "SIGCONT" | "SIGFPE" | "SIGHUP" | "SIGILL" | "SIGINT" | "SIGIO" | "SIGIOT" | "SIGKILL" | "SIGPIPE" | "SIGPOLL" | "SIGPROF" | "SIGPWR" | "SIGQUIT" | "SIGSEGV" | "SIGSTKFLT" | "SIGSTOP" | "SIGSYS" | "SIGTERM" | "SIGTRAP" | "SIGTSTP" | "SIGTTIN" | "SIGTTOU" | "SIGUNUSED" | "SIGURG" | "SIGUSR1" | "SIGUSR2" | "SIGVTALRM" | "SIGWINCH" | "SIGXCPU" | "SIGXFSZ" | "SIGBREAK" | "SIGLOST" | "SIGINFO"

- Defined in node_modules/@types/node/globals.d.ts:680

### SignalsListener

SignalsListener: function

- Defined in node_modules/@types/node/globals.d.ts:696

#### Type declaration

- - (signal: Signals): void

  - #### Parameters

    - ##### signal: Signals

    #### Returns void

### TypedArray

TypedArray: Uint8Array | Uint8ClampedArray | Uint16Array | Uint32Array | Int8Array | Int16Array | Int32Array | Float32Array | Float64Array

- Defined in node_modules/@types/node/globals.d.ts:1052

### UncaughtExceptionListener

UncaughtExceptionListener: function

- Defined in node_modules/@types/node/globals.d.ts:692

#### Type declaration

- - (error: Error): void

  - #### Parameters

    - ##### error: Error

    #### Returns void

### UnhandledRejectionListener

UnhandledRejectionListener: function

- Defined in node_modules/@types/node/globals.d.ts:693

#### Type declaration

- - (reason: __type | null | undefined, promise: Promise<any>): void

  - #### Parameters

    - ##### reason: __type | null | undefined

    - ##### promise: Promise<any>

    #### Returns void

### WarningListener

WarningListener: function

- Defined in node_modules/@types/node/globals.d.ts:694

#### Type declaration

- - (warning: Error): void

  - #### Parameters

    - ##### warning: Error

    #### Returns void

Generated using TypeDoc